<template>
  <div class="podium">
    <div class="user-img-wrapper">
      <img :src="img(image)" class="user-img" />
    </div>
    <div class="podium-link">
      <Link
        :text="name"
        :url="`https://api.panoramax.xyz/#focus=map&map=9&users=${userId}`"
        :title="$t('pages.leaderboard.title_link')"
        type="external"
        target="_blank"
        look="link--blue underline"
      >
        <template v-slot:external>
          <img
            src="@/assets/images/external-link-blue-dark.svg"
            loading="lazy"
            class="external-img"
          />
        </template>
      </Link>
    </div>
    <div class="wrapper-photo">
      <img src="@/assets/images/photos.svg" class="photo-img" />
      <span class="number">{{ number(pictures) }}</span>
      <span class="number-tooltip">{{ formatZeroNum(pictures) }}</span>
    </div>
    <div :class="look">
      <slot name="medal"></slot>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { img } from '@/utils/image'
import { formatNumber, formatZeroNum } from '@/utils'
import Link from '@/components/Link.vue'
defineProps({
  userId: {
    type: String,
    default: ''
  },
  name: {
    type: String,
    default: null
  },
  pictures: {
    type: Number,
    default: 0
  },
  look: {
    type: String,
    default: ''
  },
  image: {
    type: String,
    default: ''
  }
})
function number(num: number) {
  if (num.toString().length > 6) return `${formatNumber(num)} millions`
  else return formatNumber(num)
}
</script>

<style scoped lang="scss">
.podium {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  height: 100%;
  width: 100%;
}
.podium-name {
  margin-bottom: 0.5rem;
  color: var(--blue);
  font-size: 1.8rem;
  width: 80%;
  text-align: center;
}

.wrapper-photo {
  height: 3.5rem;
  padding: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 2rem;
  color: var(--blue-dark);
  background-color: var(--blue-pale);
  border-radius: 1rem;
  font-size: 1.2rem;
  cursor: pointer;
}
.number-tooltip {
  display: none;
}
.wrapper-photo:hover {
  .number {
    display: none;
  }
  .number-tooltip {
    display: block;
  }
}
.user-img-wrapper {
  height: 9rem;
  border-radius: 50%;
  border: 0.5rem solid var(--blue);
  padding: 1.5rem;
  background-color: var(--blue-pale);
}
.user-img {
  height: 100%;
}
.podium-link {
  margin-top: 1rem;
  margin-bottom: 1rem;
}
.photo-img {
  height: 100%;
  margin-right: 0.5rem;
}
.podium-one {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 80%;
  width: 100%;
  background-color: var(--blue-semi);
  border-top-left-radius: 1rem;
  border-top-right-radius: 1rem;
}
.podium-two {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 55%;
  width: 100%;
  background-color: var(--blue-semi);
  border-top-left-radius: 1rem;
}
.podium-three {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 40%;
  width: 100%;
  background-color: var(--blue-semi);
  border-top-right-radius: 1rem;
}
.external-img {
  height: 1rem;
}
@media (max-width: 500px) {
  .user-img-wrapper {
    height: 6rem;
    padding: 1rem;
  }
  .podium-name {
    font-size: 1.4rem;
  }
  .number,
  .number-tooltip {
    font-size: 1rem;
  }
}
</style>
